// String: greeting
// Спросите у пользователя имя, и поприветствуйте его с помощью alert.
greeting: {
  const userName = prompt('What is your name?');
  alert('Hello, ' + userName);
}

// String: gopni4ek
// Попросите пользователя ввести строку через prompt. Используя split и join сделайте что бы после 
// любой запятой следовало слово блин, .
gopni4ek: {
  const str = prompt('Write a string');
  const result = str.split(',').join(' блин,');
  alert(result);
}

// String: capitalize
// Преобразуйте строку, введенную пользователем, таким образом, что бы первая буква становилась 
// большой, а остальные - маленькими
capitalize: {
  const str = prompt('Write string with big and small letters');
  const result = str.slice(0, 1).toUpperCase() + str.slice(1).toLowerCase();
  alert(result);
}

// String: word count
// Посчитайте количество слов в строке. Используйте разбиение по пробелам. Длина массива называется 
// так же, как и длина строки.
word_count: {
  const str = prompt('Write a string');
  const result = str.trim().split(' ').length;
  alert('The length of your string ' + result);
}

// String: credentials
// Спросите у пользователя ФИО, используя prompt трижды. Выкиньте лишние пробелы, используя .trim
// Используя String: capitalize сделайте так, что бы каждое слово в ФИО было с большой буквы, а 
// остальные - маленькие. Объедините эти три строки в одну переменную fullName и выведите 
// куда-то(alert, console.log). Не забудьте пробелы между словами.

credentials: {
  const userName = prompt('What is your name?').trim();
  const userSurname = prompt('What is your surname?').trim();
  const userMiddleName = prompt('What is your middle name?').trim();
  const fullName = userSurname.slice(0, 1).toUpperCase() + userSurname.slice(1).toLowerCase() + ' ' +
    userName.slice(0, 1).toUpperCase() + userName.slice(1).toLowerCase() + ' ' +
    userMiddleName.slice(0, 1).toUpperCase() + userMiddleName.slice(1).toLowerCase();
  alert(fullName);
}

// String: beer
// Не используя .replace замените слово пиво в строке на слово чай
beer: {
  const str = "Было жарко. Василий пил пиво вприкуску с креветками";
  const result = str.split('пиво').join('чай');
  alert(result);
}

// String: no tag
// Найдите в строке HTML тэг. Удалите, т. е. вырежьте его - создайте другую строку, в которой 
// будет все символы до тэга и после него Тэг может быть любым. split и join не используйте, 
// вместо этого используйте indexOf и slice
no_tag: {
  const str = "какой-то текст в котором есть один тэг <br /> и всякое другое";
  const result = str.slice(0, str.indexOf('<') - 1) + str.slice(str.indexOf('>') + 1);
  alert(result);
}

// String: big tag
// На основе предыдущего задания сделайте тэг большими буквами. split и join не используйте, 
// вместо этого используйте indexOf и slice
big_tag: {
  const str = "какой-то текст в котором есть один тэг <br /> и всякое другое";
  const result = str.slice(0, str.indexOf('<') + 1) + str.slice(str.indexOf('<') + 1,
    str.indexOf('>')).toUpperCase() + str.slice(str.indexOf('>'));
  alert(result);
}

// String: new line
// Попросите пользователя ввести строку через prompt. prompt не позволяет вводить многострочные строки. 
// Дадим пользователю такую возможность - Пользователь может вводить \n в качестве маркера новой строки.
// Используя split и join сделайте эту строку воистину многострочной и выведите в консоль или через alert.
new_line: {
  const str = prompt("Enter the string. As a newline marker use '\\n'");
  const result = str.split('\\n').join('\n');
  alert(result);
}